[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.Action

Action is the default action associated with the menu item.

## Declaration

Source position: menus.pp line 321

`published property TMenuItem.Action : TBasicAction read GetAction write SetAction;`

## Description

The value for the property is read from the Action member in ActionLink when it has been assigned. Otherwise, the property value is Nil. Setting a new value for the property causes the TMenuActionLink class instance in ActionLink to be created and configured as needed.

## See also

TMenuItem.ActionLink |  | Contains the link to the Action for the menu item.
TMenuActionLink |  | TMenuActionLink: defines the link between a selected menu item and its corresponding action.
TBasicAction